Page MenuHomePhabricator

File uploads are not properly tagged (only the log entry, not the revision)
Closed, ResolvedPublic

Description

OAuth file uploads are not properly tagged. The tag only applies to the recent changes entry (and the associated upload log entry), but not the file page revision.

Event Timeline

matmarex created this task.Dec 18 2015, 4:45 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added a project: Multimedia. · View Herald TranscriptDec 18 2015, 4:45 PM
Restricted Application added subscribers: StudiesWorld, Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 18 2015, 4:45 PM
MarkTraceur triaged this task as Low priority.Dec 21 2015, 9:19 PM
MarkTraceur added a subscriber: MarkTraceur.

I think this will be magically fixed by https://gerrit.wikimedia.org/r/#/c/211656/.

That was merged, and this should be magically fixed. I'll wait for the deployment to happen to verify and close it then.

matmarex closed this task as Resolved.Jan 18 2016, 5:17 PM

Indeed it is!

The same issue affected AbuseFilter tags and is fixed there too.

matmarex renamed this task from OAuth file uploads are not properly tagged to File uploads are not properly tagged (only the log entry, not the revision).Jan 19 2016, 8:36 PM
matmarex reassigned this task from matmarex to Cenarium.
matmarex set Security to None.

Indeed it is!

Great!